Free Support Forum - aspose.com

Please specify download link matching JDK 1.7

Hello,

My client recently purchased a license for Apose.Total.
I downloaded the JARS from the official download link on the Aspose website and noticed that some jars contain “1.6” in their file names. I am suspecting that they contain classes for JDK 1.6, while we are using JDK 1.7.



Please provide the correct download link where I can download latest Aspose JARs matching JDK that we use: 1.7.0_17. I am specifically interested in these modules:

Aspose.Words
Aspose.Cells
Aspose.Imaging
Aspose.Slides
Aspose.Pdf
Aspose.Email

Many thanks,
Dmitry


Hi Dmitry,


Thanks for contacting support.

All our API’s under Aspose.Total for Java package are compatible with JDK 1.6 and higher versions. Please get the latest release of Aspose.Total for Java and in case you encounter any issue or you have any further query, please feel free to contact.

Hello,

Thank you for your reply.

Additionally, could you please comment on the need for additional JARs
aspose-gridweb-17.5.jar
bcprov-jdk16-146.jar

I think they were not present in the trial version of Aspose that I used previously. Please explain their purpose. Do I need to have them in my classpath or they are optional?

Thank you,
Dmitry

Hi Dmitry,


Thanks for contacting support. These JAR files were included in one of the recent versions.

aspose-gridweb-17.5.jar

You may also use it into classpath if you want to use Aspose.Cells.GridWeb (Java) control in jsp/servlets projects. if you do not require the control in your project, you may skip it

bcprov-jdk16-146.jar

This jar is used when you need to encrypt/decrypt Excel documents. It is used for AES encryption supported by MS Excel 2010 or greater versions.

You may add these JARs to the classpath along with main Aspose.Cells for Java jar. Should you have any further query, please feel free to contact.